--- /dev/null	Sat Jun 30 22:01:38 2012
+++ new/usr/src/cmd/pamconv/pam-upgrade.xml	Sat Jun 30 22:01:38 2012
@@ -0,0 +1,91 @@
+<?xml version="1.0"?>
+<!DOCTYPE service_bundle SYSTEM "/usr/share/lib/xml/dtd/service_bundle.dtd.1">
+<!--
+ Copyright 2012 Joshua M. Clulow <josh@sysmgr.org>
+
+ CDDL HEADER START
+
+ The contents of this file are subject to the terms of the
+ Common Development and Distribution License (the "License").
+ You may not use this file except in compliance with the License.
+
+ You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+ or http://www.opensolaris.org/os/licensing.
+ See the License for the specific language governing permissions
+ and limitations under the License.
+
+ When distributing Covered Code, include this CDDL HEADER in each
+ file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+ If applicable, add the following below this CDDL HEADER, with the
+ fields enclosed by brackets "[]" replaced with your own identifying
+ information: Portions Copyright [yyyy] [name of copyright owner]
+
+ CDDL HEADER END
+
+	NOTE:  This service manifest is not editable; its contents will
+	be overwritten by package or patch operations, including
+	operating system upgrade.  Make customizations in a different
+	file.
+
+	Service manifest for the PAM configuration upgrade (pamconv) service.
+-->
+
+<service_bundle type='manifest' name='SUNWcsr:pam-upgrade'>
+
+<service
+	name='system/pam-upgrade'
+	type='service'
+	version='1'>
+
+	<create_default_instance enabled='true' />
+
+	<single_instance />
+
+	<dependency
+		name='filesystem'
+		grouping='require_all'
+		restart_on='none'
+		type='service'>
+		<service_fmri value='svc:/system/filesystem/local'/>
+	</dependency>
+
+	<exec_method
+		type='method'
+		name='stop'
+		exec=':true'
+		timeout_seconds='60' >
+	</exec_method>
+
+	<exec_method
+		type='method'
+		name='start'
+		exec='/lib/svc/method/pamconv %m'
+		timeout_seconds='120' >
+	</exec_method>
+
+	<property_group
+		name='startd'
+		type='framework'>
+		<propval name='duration' type='astring' value='transient' />
+	</property_group>
+
+	<stability value='Unstable' />
+
+	<template>
+		<common_name>
+			<loctext xml:lang='C'>pam-upgrade</loctext>
+		</common_name>
+		<description>
+			<loctext xml:lang='C'>
+pam-upgrade handles the conversion of a legacy, monolithic /etc/pam.conf file
+into /etc/pam.d per-service shard files.
+			</loctext>
+		</description>
+		<documentation>
+			<manpage title='pam.conf' section='4'
+				manpath='/usr/share/man' />
+		</documentation>
+	</template>
+</service>
+
+</service_bundle>
